Loading...
Searching...
No Matches
su_bm.h File Reference

Boyer-Moore search algorithm. More...

`#include <sofia-sip/su_types.h>`
Include dependency graph for su_bm.h:

Go to the source code of this file.

## Macros

#define | SU_BM_H
| Defined when <sofia-sip/su_bm.h> has been included.

## Typedefs

typedef struct bw_fwd_table | bm_fwd_table_t
| Forward skip table for Boyer-Moore algorithm.

## Functions

bm_fwd_table_t * | bm_memmem_study (char const *needle, size_t nlen)
| Build case-sensitive forward skip table bm_fwd_table_t for Boyer-Moore algorithm.
char * | bm_memmem (char const *haystack, size_t hlen, char const *needle, size_t nlen, bm_fwd_table_t *fwd)
| Search for a substring using Boyer-Moore algorithm.
bm_fwd_table_t * | bm_memcasemem_study (char const *needle, size_t)
| Build case-insensitive forward skip table for Boyer-Moore algorithm.
char * | bm_memcasemem (char const *haystack, size_t hlen, char const *needle, size_t nlen, bm_fwd_table_t *fwd)
| Search for substring using Boyer-Moore algorithm.

## Detailed Description

Boyer-Moore search algorithm.

Author
  Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Mon Apr 11 17:03:13 2005 ppessi

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.